package edu.byuh.cis.jarnaby;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class EndPage extends Activity implements OnClickListener{
	
	Button pathhead;
	Button restart;
	Bundle bundle;
	
	@Override
	protected void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		setContentView(R.layout.endpage);
		
		pathhead = (Button) findViewById(R.id.btn_pathhead);
		restart = (Button) findViewById(R.id.btn_restart);
		
		pathhead.setOnClickListener(this);
		restart.setOnClickListener(this);		
	}
	
	public void onClick(View v){
		bundle = new Bundle();
		switch(v.getId()){
		case R.id.btn_pathhead:
			bundle.putInt("choice", 0);
			break;
		case R.id.btn_restart:
			bundle.putInt("choice", 1);
			break;
		}
		Intent i = new Intent();
		i.putExtras(bundle);
		setResult(RESULT_OK, i);
		finish();
	}
}
